<?

/* ------------------------------------------------------------------- */
/*

*************************************************
*			UWAGA! SKRYPT NIE JEST DARMOWY.			*
*		DALSZE ROZPOWSZECHNIANIE BEZ ZGODY 			*
*			FIRMY ArtGlobal JEST ZABRONIONE.			*
*************************************************

*************************************************
*	WWW.ArtGlobal.PL		PRODUCENT OPROGRAMOWANIA	*
*	NAZWA SKRYPTU:		NIERUCHOMOSCI 6.0			*
*	WERSJA FINALNA:	04.10.2010						*
*	KONTAKT:				kontakt@artglobal.pl		*
*************************************************

Copyright (c) 2010 ArtGlobal. Wszelkie prawa zastrzeżone.

*/
/* ------------------------------------------------------------------- */

require_once('inc/config.inc.php');
session_start();
require_once('class/object.class.php');
require_once('class/mail.class.php');
require_once('class/user.class.php');


$object = new obj;
include('inc/seo.inc.php');
$smarty -> register_function('nopl', 'parse');

$smarty -> assign('showPages', $object -> showPages( $mysql ));
$smarty -> assign('promoA', $object -> showPromoA( $mysql ));
$smarty -> assign('reklama', $object -> showReklamaA( $mysql ));
$smarty -> assign('showTypeLicz', $object -> showTypeLicz( $mysql ));
$smarty -> assign('showStateLicz', $object -> showStateLicz( $mysql ));
$smarty -> assign('showKategriaLicz', $object -> showKategriaLicz( $mysql ));

///////////////////
$login = new user;

if ( isset( $_POST['getLogin'] ) )
{
        ( $login -> isEmpty ( $_POST['login'] ) ? $smarty -> assign('login', $_POST['login']) : $error[] = 'Nie podano loginu!' );
        ( $login -> isEmpty ( $_POST['pass'] ) ? $smarty -> assign('pass', $_POST['pass']) : $error[] = 'Nie podano hasła!' );
        ( $login -> check_login ( $_POST['login'], $_POST['pass'], $mysql ) ? '' : $error[] = 'Dane są niepoprawne!' );
        
        if ( $error == null )
        {
                $session -> session_register ( $_POST['login'], $mysql );
                header('Location: panel.html');
        }
}
$smarty -> assign('error', $error);
///////////////////


/////////////////////
					$sql = "SELECT a.*, b.*, c.*, d.*, e.*,  g.*, h.* FROM object AS a, type AS b, state AS c , region AS d, kategoria AS e,  rodzaj AS g, stan AS h WHERE a.obTypeId = b.typeId AND a.obStateId = c.stateId AND a.obRegion = d.regionId AND a.obKat = e.katId  AND a.obRodzaj = g.rodzajId AND a.obStan = h.stanId AND a.obPromo = '1' AND a.obConfirm = '1' AND a.obDateEnd > NOW() ORDER by  RAND() LIMIT 5";
								$q = $mysql -> q( $sql );
$smarty -> assign('nump', $mysql -> num( $sql ));

////////////////////

if ( isset( $_POST['sendMessage'] ) )
{
        $contact = new sendMail;
        
        ( $contact -> isEmpty( $_POST['email'] ) ? $smarty -> assign('email', $_POST['email']) : $error[] = 'Nie podano adresu email!' );
        ( $contact -> isEmpty( $_POST['temat'] ) ? $smarty -> assign('temat', $_POST['temat']) : $error[] = 'Nie podano tematu!' );
        ( $contact -> isEmpty( $_POST['txt'] ) ? $smarty -> assign('txt', $_POST['txt']) : $error[] = 'Nie podano treści!' );
				( $contact -> isEmpty( $_POST['security_code'] ) ? $smarty -> assign('security_code', $_POST['security_code']) : $error[] = 'Podaj prawidłowy kod bezpieczeństwa!' );

        						 
				if ( $error == null )
						{
			
					 
							if( $_SESSION['security_code'] == $_POST['security_code'] && !empty($_SESSION['security_code'] ) ) 
							{

					 unset($_SESSION['security_code']);
                $tresc = "<br><br>Tresc: " .html( $_POST['txt'] ). "<br><br> email od : <a href=mailto:".html( $_POST['email'] )."> " .html( $_POST['email'] ). "</a><br>";
								$contact ->  mailer ( $cfg['mailAdmin'], 'admin', '', html( $_POST['temat'] ), $tresc ); 

                $smarty -> assign('success', 'Wiadomość została wysłana poprawnie! Odpowiemy w ciądu 24h. Dziekujemy!');
                $smarty -> assign('email', '');
                $smarty -> assign('temat', '');
                $smarty -> assign('txt', '');
								
							} 

        }

}
$smarty -> assign('error', $error);

$smarty -> assign('title', 'Kontakt');

$smarty -> display('kontakt.tpl');
